CVE-2016-0739

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

libssh before 0.7.3 improperly truncates ephemeral secrets generated for the (1) diffie-hellman-group1 and (2) diffie-hellman-group14 key exchange methods to 128 bits, which makes it easier for man-in-the-middle attackers to decrypt or intercept SSH sessions via unspecified vectors, aka a "bits/bytes confusion bug."

References

http://lists.fedoraproject.org/pipermail/package-announce/2016-February/178058.html

http://lists.fedoraproject.org/pipermail/package-announce/2016-March/178822.html

http://lists.opensuse.org/opensuse-updates/2016-03/msg00111.html

http://rhn.redhat.com/errata/RHSA-2016-0566.html

http://www.debian.org/security/2016/dsa-3488

http://www.ubuntu.com/usn/USN-2912-1

https://puppet.com/security/cve/CVE-2016-0739

https://security.gentoo.org/glsa/201606-12

https://www.libssh.org/2016/02/23/libssh-0-7-3-security-and-bugfix-release/

https://www.libssh.org/security/advisories/CVE-2016-0739.txt

Details

Source: MITRE

Published: 2016-04-13

Updated: 2017-12-09

Type: CWE-200

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

Impact Score: 3.6

Exploitability Score: 2.2

Severity: MEDIUM

Tenable Plugins

View all (15 total)

IDNameProductFamilySeverity
93750F5 Networks BIG-IP : libssh vulnerability (K57255643)NessusF5 Networks Local Security Checks
medium
92558Tenable SecurityCenter < 5.4.0 Multiple Vulnerabilities (TNS-2016-12)NessusMisc.
high
91843GLSA-201606-12 : libssh and libssh2: Multiple vulnerabilitiesNessusGentoo Local Security Checks
medium
90302RHEL 7 : libssh (RHSA-2016:0566)NessusRed Hat Local Security Checks
medium
90169openSUSE Security Update : libssh (openSUSE-2016-394)NessusSuSE Local Security Checks
medium
89911openSUSE Security Update : libssh (openSUSE-2016-328)NessusSuSE Local Security Checks
medium
89890Fedora 22 : libssh-0.7.3-1.fc22 (2016-dc9e8da03c)NessusFedora Local Security Checks
medium
89709FreeBSD : libssh -- weak Diffie-Hellman secret generation (6b3591ea-e2d2-11e5-a6be-5453ed2e2b49)NessusFreeBSD Local Security Checks
medium
89656SUSE SLED12 Security Update : libssh (SUSE-SU-2016:0625-1)NessusSuSE Local Security Checks
medium
89654SUSE SLED11 Security Update : libssh (SUSE-SU-2016:0622-1)NessusSuSE Local Security Checks
medium
89621Fedora 23 : libssh-0.7.3-1.fc23 (2016-d9f950c779)NessusFedora Local Security Checks
medium
88992Slackware 14.0 / 14.1 / current : libssh (SSA:2016-057-01)NessusSlackware Local Security Checks
medium
88930Ubuntu 12.04 LTS / 14.04 LTS / 15.10 : libssh vulnerabilities (USN-2912-1)NessusUbuntu Local Security Checks
high
88916Debian DSA-3488-1 : libssh - security updateNessusDebian Local Security Checks
medium
88913Debian DLA-425-1 : libssh security updateNessusDebian Local Security Checks
medium